Skip to content

Get budget member

Request

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
budget_idstringrequired

The ID of the budget.

budget_member_idintegerrequired

The ID of the budget member.

GET
/v1/businesses/{client_id}/budgets/{budget_id}/members/{budget_member_id}
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/budgets/{budget_id}/members/{budget_member_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstring

The ID of the budget member.

Example:"e33b7c61-5124-4ba0-b238-e4c573133715"
userobject or null(SubUser)

The user for the budget member. Only present if the user has accepted their invite to Weel.

inviteobject(Invite)

The invite for the budget member. Only present if the user has not accepted their invite to Weel.

available_amountnumber

The available amount of the budget member.

Example:800
spent_amountnumber

The amount of the budget that has been spent by the budget member.

Example:200
reset_amountnumber

The reset amount of the budget member.

Example:1000
is_deletedboolean

Whether the budget member is deleted.

Example:false
createdstring, (date-time)

The date and time when the budget member was created in UTC.

Example:"2024-01-01T00:00:00Z"
updatedstring, (date-time)

The date and time when the budget member was last updated in UTC.

Example:"2024-01-01T00:00:00Z"
Response
{ "id": "e33b7c61-5124-4ba0-b238-e4c573133715", "user": { "id": 123, "first_name": "John", "last_name": "Doe", "name": "John Doe" }, "invite": { "id": 99, "email": "jane.doe@example.com", "role_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "role": "Team Member", "payment_types": [], "used": false, "created": "2026-05-01T00:00:00Z", "updated": "2026-05-01T00:00:00Z" }, "available_amount": 800, "spent_amount": 200, "reset_amount": 1000, "is_deleted": false, "created": "2024-01-01T00:00:00Z", "updated": "2024-01-01T00:00:00Z" }